Drupal.theme.mkdruCounts = function(first, last, available, total) {
  if (last > 0)
    return '<strong>' + first  + '</strong>' + Drupal.t(' to ') + '<strong>' + last + '</strong>' + Drupal.t(' of ') + '<strong>'
      + available + '</strong>' + Drupal.t(' available');
  else
    return Drupal.t('No results');
};

Drupal.theme.mkdruResult = function(hit, num, detailLink) {
  var resultclass = "mkdru-result ";
  if (num%2)
    resultclass += "odd";
  else
    resultclass += "even";
  var html = "";
  html += '<li class="' + resultclass + '" id="rec_' + hit.recid + '" >'
          + '<div class="mkdru-result-title"><a href="' + detailLink + '">'
          + hit["md-title"] + '</a>';
  if (hit["md-title-remainder"] !== undefined) {
    html += ' <span class="mkdru-result-title-remainder">'
            + hit["md-title-remainder"] + ' </span>';
  }
  html += '</div>';
  if (hit["md-title-responsibility"] !== undefined) {
    html += '<div class="mkdru-result-author"><em>'
            + hit["md-title-responsibility"]
            + '</em> ';
    if (hit["md-date"] !== undefined) {
      html += hit["md-date"];
    }
    html += '</div>';
  }
  if (hit["md-description"] !== undefined) {
    // limit description to 400 characters
    html += '<div class="mkdru-result-description">'
            + String(hit["md-description"]).substr(0, 400)
            + ' </div>';
  }

  html += '</li>';
  return html;
};

Drupal.theme.mkdruDetail = function(data, linkBack) {
  var html = '<table id="det_' + data.recid +'">';
  if (data["md-title"] != undefined) {
    html += '<tr><th>' + Drupal.t("Title") + '</th><td>'
            + data["md-title"];
    if (data["md-title-remainder"] !== undefined) {
      html += ' : <span>' + data["md-title-remainder"] + ' </span>';
    }
    if (data["md-title-responsibility"] !== undefined) {
      html += ' <span><i>'+ data["md-title-responsibility"] +'</i></span>';
    }
    html += '</td></tr>';
  }
  if (data["md-date"] != undefined)
    html += '<tr><th>' + Drupal.t("Date") + '</th><td>' + data["md-date"] + '</td></tr>';
  if (data["md-author"] != undefined)
    html += '<tr><th>' + Drupal.t("Author") + '</th><td>' + data["md-author"] + '</td></tr>';
  if (data["md-electronic-url"] != undefined)
    html += '<tr><th>URL</th><td><a href="'
            + data["md-electronic-url"] + '" target="_blank">'
            + data["md-electronic-url"] + '</a>' + '</td></tr>';
  // test if there is an array of per-location data; process it
  if (Object.prototype.toString.call(data['location']) === '[object Array]') { 
    var subject = false;
    var locations = ""; 
    for (var i = 0; i < data['location'].length; i++) {
      var locRec = data['location'][i];
      // grab the first value we find for subject
      if (!subject && locRec['md-subject']) subject = locRec['md-subject'];
      // list named locations and link to the record there if url is available
      var link = locRec["md-electronic-url"];
      if (!link) link = pz2urlrecipe.getUrlFromRecipe(locRec);
      var name = locRec["@name"]
      if (link && name) locations += '<a href="' + link + '">' + name + '</a><br>';
      else if (name) locations += name + '<br>';
    }
    if (subject)
      html += '<tr><th>' + Drupal.t("Subject") + '</th><td>' + subject + '</td></tr>';
    if (locations)
      html += '<tr><th>' + Drupal.t("Location") + '</th><td>' + locations + '</td></tr>';
  }
  html += '</table>';
  html += '<a href="' + linkBack + '">' + Drupal.t('Return to result list...') + '</a>';
  return html;
};
